> ## Documentation Index
> Fetch the complete documentation index at: https://docs.probe.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List API Tokens



## OpenAPI

````yaml https://api.probedev.com/frontend/api/v1/openapi.json?include-base-path=true&v=2025-07-30 get /frontend/api/v1/auth/api-token
openapi: 3.1.0
info:
  title: 'Probe.dev API Version: v1'
  description: Probe.dev API.
  version: v1.0
servers:
  - url: https://{host}
    variables:
      host:
        enum:
          - api.probe.dev
        default: api.probedev.com
        description: Server Hostname
security: []
tags:
  - name: Media
  - name: Auth
  - name: User
  - name: Billing
  - name: Statistics
paths:
  /frontend/api/v1/auth/api-token:
    get:
      tags:
        - Auth
      summary: List API Tokens
      operationId: routes/auth.GetApiTokenList
      parameters:
        - name: include-expired
          in: query
          description: Include expired API Tokens
          schema:
            default: false
            description: Include expired API Tokens
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthGetApiTokenListResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouterUnauthorizedError'
      security:
        - api_key_header: []
        - api_key: []
        - jwt-token: []
        - jwt-cookie: []
        - jwt: []
components:
  schemas:
    AuthGetApiTokenListResponse:
      properties:
        api-tokens:
          items:
            $ref: '#/components/schemas/AuthApiToken'
          type:
            - array
            - 'null'
      type: object
    RouterUnauthorizedError:
      properties:
        code:
          description: Application-specific error code.
          type: integer
        context:
          additionalProperties: {}
          description: Application context.
          type: object
        error:
          description: Error message.
          type: string
        status:
          description: Status text.
          type: string
      type: object
    AuthApiToken:
      properties:
        created:
          format: date-time
          type: string
        expired:
          type:
            - 'null'
            - boolean
        expires-at:
          format: date-time
          type:
            - 'null'
            - string
        permissions:
          $ref: '#/components/schemas/PermissionsMap'
        restrictions:
          $ref: '#/components/schemas/PermissionsMap'
        token:
          type: string
        updated:
          format: date-time
          type: string
      type: object
    PermissionsMap:
      additionalProperties:
        $ref: '#/components/schemas/PermissionsPermission'
      type: object
    PermissionsPermission:
      properties:
        name:
          $ref: '#/components/schemas/PermissionsName'
        scopes:
          items:
            type: string
          type: array
      type: object
    PermissionsName:
      default: read:billing
      enum:
        - read:admin
        - read:billing
        - read:invite
        - read:media
        - read:profile
        - read:statistics
        - read:sub-user
        - read:user
        - write:admin
        - write:billing
        - write:invite
        - write:media
        - write:sub-user
        - write:user
      type: string
  securitySchemes:
    api_key_header:
      description: API Key Security (Header).
      type: http
      scheme: bearer
    api_key:
      description: API Key Security
      type: apiKey
      name: token
      in: query
    jwt-token:
      description: JWT API Security (Token).
      type: apiKey
      name: jwt
      in: query
    jwt-cookie:
      description: JWT API Security (Cookie).
      type: apiKey
      name: jwt
      in: cookie
    jwt:
      description: JWT API Security (Header).
      type: http
      scheme: bearer
      bearerFormat: JWT

````